Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1519237 - Firewall settings for Web Admin should be part of documentation
Summary: Firewall settings for Web Admin should be part of documentation
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: doc-RHGS_Web_Administration
Version: rhgs-3.3
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: RHGS 3.3.1
Assignee: Rakesh
QA Contact: Daniel Horák
URL:
Whiteboard:
Depends On:
Blocks: 1520343
TreeView+ depends on / blocked
 
Reported: 2017-11-30 13:30 UTC by Bala Konda Reddy M
Modified: 2018-05-30 18:00 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-30 18:00:42 UTC


Attachments (Terms of Use)

Description Bala Konda Reddy M 2017-11-30 13:30:13 UTC
Description of problem:

As of now there isn't any documentation related to enable firewall and open particular ports in downstream.

Here is the upstream link for reference : 
https://github.com/Tendrl/documentation/wiki/Tendrl-firewall-settings

We have to explicitly mention this before installing the web-administration

Comment 5 Daniel Horák 2017-12-11 08:35:05 UTC
The configuration described in documentation is working and there seems to be no functional issue.
I've tested following scenarios (just quick check, no deep examination) with firewall enabled and configured:
* import cluster workflow
* cluster, volumes and host details
* Grafana dashboards (Home, Bricks, Hosts, Volumes)

> VERIFIED


Note You need to log in before you can comment on or make changes to this bug.